name: Python build site

on:
  push:
    branches: [ "main" ]

permissions: 
  contents: write

jobs:
    build:
        runs-on: ubuntu-latest
        strategy:
          matrix:
            python-version: ["3.12"]
        steps:
            - uses: actions/checkout@v4
            # this Action should follow steps to set up Python build environment
            - name: Set up Python ${{ matrix.python-version }}
              uses: actions/setup-python@v4
              with:
                python-version: ${{ matrix.python-version }}
            - name: Install Python dependencies
              uses: py-actions/py-dependency-install@v4
              with:
                path: "requirements.txt"
            # You can test your matrix by printing the current Python version
            - name: Pull Changes(?)
              run: |
                git pull
            - name: Run Python Builder
              run: python build.py gh-pages-deploy
            # - name: Commit docs directory
            #   run: |
            #     git add docs/
            #     git config --global user.name 'github-actions'
            #     git config --global user.email 'github-actions@github.com'
            #     git commit -am "build to docs dir"
            #     git push
            #     rm -rf docs/
            #     git add
            #     git commit -am "Removed built remnants"
            #     git push
            # - name: Deploy 🚀
            #   uses: JamesIves/github-pages-deploy-action@v4
            #   with:
            #     folder: docs # The folder the action should deploy.
            - name: Deploy
              uses: crazy-max/ghaction-github-pages@v1
              with:
                target_branch: gh-pages
                build_dir: docs
              env:
                GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}